## usb-creator 0.3.8

=== debian/changelog ===
usb-creator (0.3.8) groovy; urgency=medium

  * debian/control: Remove syslinux, syslinux-common, syslinux-legacy,
    genisoimage, mtools, parted Depends, they have not been required since
    0.3.0. Switch to Architecture: all since we no longer require syslinux.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Aug 2020 11:37:15 -0400

=== debian/control ===
Source: usb-creator
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: usb-creator Hackers Team <usb-creator-hackers@lists.launchpad.net>
Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, Ignace Mouzannar <mouzannar@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-translations,
               dh-python,
               python3,
               python3-distutils-extra,
               pkg-kde-tools
Standards-Version: 3.9.5
X-Python3-Version: >= 3.2
Vcs-Bzr: http://bazaar.launchpad.net/~usb-creator-hackers/usb-creator/trunk

Package: usb-creator-common
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-dbus,
 gir1.2-udisks-2.0, udisks2, python3-debian
Description: create a startup disk using a CD or disc image (common files)
 Startup Disk Creator converts a USB key or SD card into a volume from which you
 can start up and run Ubuntu. You can also store files and settings in any space
 left over.
 .
 The program also works for Debian, or any other Debian-based OS for which you
 have a CD or .iso image.
 .
 This package contains backend engine and common data files used by frontends.

Package: usb-creator-gtk
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 usb-creator-common (= ${binary:Version}),
 python3-gi,
 gir1.2-gtk-3.0,
 gir1.2-gudev-1.0,
 gir1.2-pango-1.0,
 gir1.2-glib-2.0,
 gir1.2-unity-5.0,
 python3-dbus
Description: create a startup disk using a CD or disc image (for GNOME)
 Startup Disk Creator converts a USB key or SD card into a volume from which you
 can start up and run Ubuntu. You can also store files and settings in any space
 left over.
 .
 The program also works for Debian, or any other Debian-based OS for which you
 have a CD or .iso image.
 .
 This package contains the GTK+ client frontend.

Package: usb-creator-kde
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 usb-creator-common (= ${binary:Version}), python3-pyqt5, python3-dbus.mainloop.pyqt5
Description: create a startup disk using a CD or disc image (for KDE)
 Startup Disk Creator converts a USB key or SD card into a volume from which you
 can start up and run Ubuntu. You can also store files and settings in any space
 left over.
 .
 The program also works for Debian, or any other Debian-based OS for which you
 have a CD or .iso image.
 .
 This package contains the KDE client frontend.

## usb-creator 0.3.9

=== debian/changelog ===
usb-creator (0.3.9) hirsute; urgency=medium

  * debian/control: Add genisoimage to Depends as isoinfo is needed to look
    for information about the disk. (LP: #1922095)

 -- Brian Murray <brian@ubuntu.com>  Fri, 02 Apr 2021 08:52:45 -0700

## usb-creator 0.3.10

=== debian/changelog ===
usb-creator (0.3.10) hirsute; urgency=medium

  * bin/usb-creator-kde: Import sip from the right location thereby avoiding a
    ModuleNotFoundError. Thanks to Sai Vinoba for the fix. (LP: #1906939)

 -- Brian Murray <brian@ubuntu.com>  Mon, 19 Apr 2021 09:13:26 -0700

## usb-creator 0.3.11

=== debian/changelog ===
usb-creator (0.3.11) impish; urgency=medium

  * bin/usb-creator-helper: raise KVM memory limit in tests to handle 
    requirements for newer Ubuntu images, thanks Philipp Kern 
    <pkern@ubuntu.com>.  Closes: LP: #1925682.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Sep 2021 17:51:18 -0700

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: usb-creator-common
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-dbus,
- gir1.2-udisks-2.0, udisks2, python3-debian
+ gir1.2-udisks-2.0, udisks2, genisoimage, python3-debian
 Description: create a startup disk using a CD or disc image (common files)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
  can start up and run Ubuntu. You can also store files and settings in any space

## usb-creator 0.3.13

=== Makefile ===
update-po:
	find -regex "./\(usbcreator\|dbus\|gui\|desktop\).*\.\(py\|glade\|ui\|in\)" \
		| sed '/gtk\.ui/ s,^,[type: gettext/glade],' > po/POTFILES.in
	echo ./bin/usb-creator-gtk >> po/POTFILES.in
	echo ./bin/usb-creator-kde >> po/POTFILES.in
	python setup.py build_i18n --merge-po --po-dir po

check: tests/run

clean:
	rm -rf build/*

translations: po/*.po
	# TODO evand 2009-07-28: Ideally we should build the mo files once,
	# instead of once here and once in setup.py.
	# Taken from Wubi.
	rm -rf build/translations
	mkdir -p build/translations/
	@for po in $^; do \
		language=`basename $$po`; \
		language=$${language%%.po}; \
		target="build/translations/$$language/LC_MESSAGES"; \
		mkdir -p $$target; \
		msgfmt --output=$$target/usbcreator.mo $$po; \
	done

=== debian/changelog ===
usb-creator (0.3.13) jammy; urgency=medium

  * usbcreator/misc.py: fix compatibility with Python 3.10. (LP: #1962862)
  * bin/usb-creator-helper: increase block size to 8M to improve
    performance. (LP: #1949652)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 04 Mar 2022 07:59:39 -0500

usb-creator (0.3.12) jammy; urgency=medium

  * Depend on gir1.2-unity-7.0 instead of gir1.2-unity-5.0 to allow removal
    of obsolete package on upgrade.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 25 Oct 2021 21:18:59 -0700

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  gir1.2-gudev-1.0,
  gir1.2-pango-1.0,
  gir1.2-glib-2.0,
- gir1.2-unity-5.0,
+ gir1.2-unity-7.0,
  python3-dbus
 Description: create a startup disk using a CD or disc image (for GNOME)
  Startup Disk Creator converts a USB key or SD card into a volume from which you

=== debian/rules ===
#!/usr/bin/make -f
vendor  := $(shell dpkg-vendor --query Vendor)
vendor_dir  := ./debian/$(vendor)
dest    := $(CURDIR)/debian/tmp/usr/share/icons/hicolor/scalable/apps
xpm_gtk := $(CURDIR)/debian/usb-creator-gtk/usr/share/pixmaps/
xpm_kde := $(CURDIR)/debian/usb-creator-kde/usr/share/pixmaps/

ifeq ($(vendor),Ubuntu)
 DHaddons := python3,translations
else
 DHaddons := python3
endif

%:
	dh $@ -Spython_distutils --with $(DHaddons)

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_clean:
	python3 setup.py clean

override_dh_python3:
	dh_python3 -p usb-creator-common -p usb-creator-gtk -p usb-creator-kde

override_dh_clean:
	rm -rf build
	find -name __pycache__ -print0 | xargs -0r rm -rf
	dh_clean

override_dh_install:
	find . -path "$(vendor_dir)/*.svg" -exec cp {} $(dest) \;
	dh_install

override_dh_installmenu:
ifneq (,$(wildcard $(vendor_dir)/*.xpm))
	mkdir -p $(xpm_gtk) $(xpm_kde)
	find . -path "$(vendor_dir)/*-gtk*.xpm" -exec cp {} $(xpm_gtk) \;
	find . -path "$(vendor_dir)/*-kde*.xpm" -exec cp {} $(xpm_kde) \;
	dh_installmenu
endif

## usb-creator 0.3.13%2B11.0trisquel1

=== debian/changelog ===
usb-creator (0.3.13+11.0trisquel1) aramo; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 22 Jun 2022 00:53:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: usb-creator
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: usb-creator Hackers Team <usb-creator-hackers@lists.launchpad.net>
 Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: debhelper (>= 9),
@@ -20,7 +20,7 @@
  gir1.2-udisks-2.0, udisks2, genisoimage, python3-debian
 Description: create a startup disk using a CD or disc image (common files)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Ubuntu. You can also store files and settings in any space
+ can start up and run Trisquel. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you
@@ -41,7 +41,7 @@
  python3-dbus
 Description: create a startup disk using a CD or disc image (for GNOME)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Ubuntu. You can also store files and settings in any space
+ can start up and run Trisquel. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you
@@ -55,7 +55,7 @@
  usb-creator-common (= ${binary:Version}), python3-pyqt5, python3-dbus.mainloop.pyqt5
 Description: create a startup disk using a CD or disc image (for KDE)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Ubuntu. You can also store files and settings in any space
+ can start up and run Trisquel. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you

## usb-creator 0.3.13+11.0trisquel3

=== debian/changelog ===
usb-creator (0.3.13+11.0trisquel3) aramo; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 18 May 2024 10:55:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: usb-creator
 Section: admin
 Priority: optional
-Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: usb-creator Hackers Team <usb-creator-hackers@lists.launchpad.net>
 Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: debhelper (>= 9),

## usb-creator 0.3.15

=== debian/changelog ===
usb-creator (0.3.15) kinetic; urgency=medium

  * usbcreator/frontends/kde/frontend.py: switch to using a literal in the
    comparison. (LP: #1900972)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 Jun 2022 11:22:10 -0700

usb-creator (0.3.14) kinetic; urgency=medium

  * Port from genisoimage (isoinfo) to xorriso (osirrox)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 May 2022 10:08:41 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: usb-creator
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: usb-creator Hackers Team <usb-creator-hackers@lists.launchpad.net>
 Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: debhelper (>= 9),
@@ -17,10 +17,10 @@
 Package: usb-creator-common
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-dbus,
- gir1.2-udisks-2.0, udisks2, genisoimage, python3-debian
+ gir1.2-udisks-2.0, udisks2, xorriso, python3-debian
 Description: create a startup disk using a CD or disc image (common files)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Trisquel. You can also store files and settings in any space
+ can start up and run Ubuntu. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you
@@ -41,7 +41,7 @@
  python3-dbus
 Description: create a startup disk using a CD or disc image (for GNOME)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Trisquel. You can also store files and settings in any space
+ can start up and run Ubuntu. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you
@@ -55,7 +55,7 @@
  usb-creator-common (= ${binary:Version}), python3-pyqt5, python3-dbus.mainloop.pyqt5
 Description: create a startup disk using a CD or disc image (for KDE)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Trisquel. You can also store files and settings in any space
+ can start up and run Ubuntu. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you

## usb-creator 0.3.16

=== debian/changelog ===
usb-creator (0.3.16) lunar; urgency=medium

  * Update versions stings and manpage thanks to Akbarkhon Variskhanov for the
    initial patch. (LP: #1387486)
  * debian/control: update for the conversion to git.

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Dec 2022 14:03:06 -0800

## usb-creator 0.3.17

=== debian/changelog ===
usb-creator (0.3.17) mantic; urgency=medium

  * Resolve an issue where the --iso argument was ignored when there are ISO
    files in the ~/Downloads directory. Thanks to Atlas Yu for the patch.

 -- Brian Murray <brian@ubuntu.com>  Fri, 09 Jun 2023 10:21:00 -0700

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
                pkg-kde-tools
 Standards-Version: 3.9.5
 X-Python3-Version: >= 3.2
-Vcs-Bzr: http://bazaar.launchpad.net/~usb-creator-hackers/usb-creator/trunk
+Vcs-Git: https://git.launchpad.net/~usb-creator-hackers/usb-creator/+git/main
+Vcs-Browser: https://code.launchpad.net/~usb-creator-hackers/usb-creator/+git/main
+
 
 Package: usb-creator-common
 Architecture: all

## usb-creator 0.3.17trisquel3

=== debian/changelog ===
usb-creator (0.3.17trisquel3) ecne; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 10 Oct 2024 21:06:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: usb-creator
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: usb-creator Hackers Team <usb-creator-hackers@lists.launchpad.net>
 Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: debhelper (>= 9),
@@ -22,7 +22,7 @@
  gir1.2-udisks-2.0, udisks2, xorriso, python3-debian
 Description: create a startup disk using a CD or disc image (common files)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Ubuntu. You can also store files and settings in any space
+ can start up and run Trisquel. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you
@@ -43,7 +43,7 @@
  python3-dbus
 Description: create a startup disk using a CD or disc image (for GNOME)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Ubuntu. You can also store files and settings in any space
+ can start up and run Trisquel. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you
@@ -57,7 +57,7 @@
  usb-creator-common (= ${binary:Version}), python3-pyqt5, python3-dbus.mainloop.pyqt5
 Description: create a startup disk using a CD or disc image (for KDE)
  Startup Disk Creator converts a USB key or SD card into a volume from which you
- can start up and run Ubuntu. You can also store files and settings in any space
+ can start up and run Trisquel. You can also store files and settings in any space
  left over.
  .
  The program also works for Debian, or any other Debian-based OS for which you

## usb-creator 0.4.0

=== debian/changelog ===
usb-creator (0.4.0) plucky; urgency=medium

  * Port the KDE frontend to Qt 6.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Oct 2024 00:20:41 -0500

## usb-creator 0.4.1

=== debian/changelog ===
usb-creator (0.4.1) plucky; urgency=medium

  * gtk: Use standard icon names (LP: #2104374)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 27 Mar 2025 14:22:35 +0100

=== debian/control ===
Source: usb-creator
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: usb-creator Hackers Team <usb-creator-hackers@lists.launchpad.net>
Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>,
           Ignace Mouzannar <mouzannar@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-translations,
               pkg-kde-tools,
               python3,
               python3-distutils-extra
Standards-Version: 4.7.0
Vcs-Git: https://git.launchpad.net/~usb-creator-hackers/usb-creator/+git/main
Vcs-Browser: https://code.launchpad.net/~usb-creator-hackers/usb-creator/+git/main

Package: usb-creator-common
Architecture: all
Depends: gir1.2-udisks-2.0,
         python3-dbus,
         python3-debian,
         udisks2,
         xorriso,
         ${misc:Depends},
         ${python3:Depends}
Description: create a startup disk using a CD or disc image (common files)
 Startup Disk Creator converts a USB key or SD card into a volume from which you
 can start up and run Ubuntu. You can also store files and settings in any space
 left over.
 .
 The program also works for Debian, or any other Debian-based OS for which you
 have a CD or .iso image.
 .
 This package contains backend engine and common data files used by frontends.

Package: usb-creator-gtk
Architecture: all
Depends: gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gudev-1.0,
         gir1.2-pango-1.0,
         gir1.2-unity-7.0,
         python3-dbus,
         python3-gi,
         usb-creator-common (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: create a startup disk using a CD or disc image (for GNOME)
 Startup Disk Creator converts a USB key or SD card into a volume from which you
 can start up and run Ubuntu. You can also store files and settings in any space
 left over.
 .
 The program also works for Debian, or any other Debian-based OS for which you
 have a CD or .iso image.
 .
 This package contains the GTK+ client frontend.

Package: usb-creator-kde
Architecture: all
Depends: pyqt6-dev-tools,
         python3-dbus.mainloop.pyqt6,
         python3-pyqt6,
         usb-creator-common (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: create a startup disk using a CD or disc image (for KDE)
 Startup Disk Creator converts a USB key or SD card into a volume from which you
 can start up and run Ubuntu. You can also store files and settings in any space
 left over.
 .
 The program also works for Debian, or any other Debian-based OS for which you
 have a CD or .iso image.
 .
 This package contains the KDE client frontend.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 dest    := $(CURDIR)/debian/tmp/usr/share/icons/hicolor/scalable/apps
 xpm_gtk := $(CURDIR)/debian/usb-creator-gtk/usr/share/pixmaps/
 xpm_kde := $(CURDIR)/debian/usb-creator-kde/usr/share/pixmaps/
+
+DH_VERBOSE = 1
 
 ifeq ($(vendor),Ubuntu)
  DHaddons := python3,translations
@@ -12,13 +14,14 @@
 endif
 
 %:
-	dh $@ -Spython_distutils --with $(DHaddons)
+	dh $@ --buildsystem=pybuild --with $(DHaddons)
 
 override_dh_auto_build:
 	python3 setup.py build
 
 override_dh_auto_install:
-	python3 setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
+	dh_auto_install --buildsystem=pybuild
+	py3clean .
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -28,7 +31,6 @@
 
 override_dh_clean:
 	rm -rf build
-	find -name __pycache__ -print0 | xargs -0r rm -rf
 	dh_clean
 
 override_dh_install:
@@ -42,3 +44,5 @@
 	find . -path "$(vendor_dir)/*-kde*.xpm" -exec cp {} $(xpm_kde) \;
 	dh_installmenu
 endif
+
+override_dh_auto_test:

## usb-creator 0.4.1build1

=== debian/changelog ===
usb-creator (0.4.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 12:05:15 +0100

## usb-creator 0.9.2

=== debian/changelog ===
usb-creator (0.9.2) stable; urgency=low

  * Updated translation: pt_BR

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sun, 09 Oct 2022 11:38:50 +0200

usb-creator (0.9.1) stable; urgency=low

  * Updated translation: it, da, de, nl, es_419 (latin america)

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 29 Jun 2022 09:02:45 +0200

usb-creator (0.9.0) stable; urgency=low

  * Updated translation: es

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 28 Jun 2022 08:30:48 +0200

usb-creator (0.8.9) stable; urgency=low

  * Updated translation: tr

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 16 May 2022 08:39:45 +0200

usb-creator (0.8.8) stable; urgency=low

  * Updated translation: pt

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sat, 16 Apr 2022 07:50:37 +0200

usb-creator (0.8.7) stable; urgency=low

  * Updated translation: ca

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 05 Aug 2021 15:03:59 +0200

usb-creator (0.8.6) stable; urgency=low

  * Updated translation: lt

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 15 Apr 2021 12:12:06 +0200

usb-creator (0.8.5) stable; urgency=low

  * Updated translation: ca

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 14 Apr 2021 08:38:22 +0200

usb-creator (0.8.4) stable; urgency=low

  * Updated translation: it

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 02 Nov 2020 11:39:40 +0100

usb-creator (0.8.3) stable; urgency=low

  * Updated translation: da

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sat, 24 Oct 2020 19:16:58 +0200

usb-creator (0.8.2) stable; urgency=low

  * Move translation files from setup.py to debian/usb-creator.install

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 29 Sep 2020 10:06:47 +0200

usb-creator (0.8.1) stable; urgency=low

  * Convert to Debian Python packaging

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sun, 27 Sep 2020 15:07:29 +0200

usb-creator (0.8.0) stable; urgency=low

  * Solve bug not starting because of wrong debug parameters to python3

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 10 Apr 2020 15:06:45 +0200

usb-creator (0.7.9) stable; urgency=low

  * Enable debug mode in usb-creator
  * Fix deprecated code

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 30 Jan 2020 19:57:02 +0100

usb-creator (0.7.8) stable; urgency=low

  * Updated translations: da, pt

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 08 Nov 2019 17:32:33 +0100

usb-creator (0.7.7) stable; urgency=low

  * Updated translation: de

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 29 Aug 2019 16:54:36 +0200

usb-creator (0.7.6) stable; urgency=low

  * Remove GObject.threads_init

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sun, 25 Aug 2019 14:42:51 +0200

usb-creator (0.7.5) stable; urgency=low

  * Solve bug not updating GUI if stat buffer is not used
  * Only mount flash drives if you only need flash drives

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 15 Aug 2019 16:27:17 +0200

usb-creator (0.7.4) stable; urgency=low

  * Updated translation: lt

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 07 Aug 2019 08:33:34 +0200

usb-creator (0.7.3) stable; urgency=low

  * Add partitioning
  * Add dd ISO to USB

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sat, 20 Jul 2019 15:43:26 +0200

usb-creator (0.7.2) stable; urgency=low

  * Show indication when copy is being prepared

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 05 Jul 2019 10:06:00 +0200

usb-creator (0.7.1) stable; urgency=low

  * Added BlackArch, Manjaro

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 04 Jul 2019 20:57:58 +0200

usb-creator (0.7.0) stable; urgency=low

  * Use 7z to gather ISO information instead of mounting the ISO
  * Use ISO grub.cfg/isolinux.cfg to get kernel/initramfs paths
  * Improve selecting correct distribution logo

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sun, 30 Jun 2019 11:00:03 +0200

usb-creator (0.6.9) stable; urgency=low

  * Remove old policy file if it exists
  * Reneame current policy file

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sat, 29 Jun 2019 10:55:56 +0200

usb-creator (0.6.8) stable; urgency=low

  * Create log dir if it doesn't exist

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 28 Jun 2019 20:29:21 +0200

usb-creator (0.6.7) stable; urgency=low

  * Probe for root, uuid and label in menuentry

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 27 Jun 2019 11:07:49 +0200

usb-creator (0.6.6) stable; urgency=low

  * Fix not able to remove unpacked ISO dir

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 26 Jun 2019 19:53:12 +0200

usb-creator (0.6.5) stable; urgency=low

  * Fixing some distro conf
  * Be able to unpack distro if needed

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 26 Jun 2019 11:06:37 +0200

usb-creator (0.6.4) stable; urgency=low

  * Fix non-user permissions on new non-fat partition

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 25 Jun 2019 22:53:37 +0200

usb-creator (0.6.3) stable; urgency=low

  * Add several distros

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 25 Jun 2019 13:16:02 +0200

usb-creator (0.6.2) stable; urgency=low

  * Rewrite of backend:
  * Simplified: no formatting
  * Use loopback if provided by ISO
  * Define menuenty for each distro in external files
  * No root permission needed
  *
  * Added Grub theme

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sat, 08 Jun 2019 17:34:20 +0200

usb-creator (0.6.1) stable; urgency=low

  * Update kernel after USB format

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 31 Jan 2019 13:21:51 +0100

usb-creator (0.6.0) stable; urgency=low

  * Updated translations: fr

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 22 Jan 2019 09:08:47 +0100

usb-creator (0.5.9) stable; urgency=low

  * Use udisks2 Ejectable instead of ConnectionBus to determine thumb/flash

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sun, 13 Jan 2019 14:32:13 +0100



=== debian/control ===
Source: usb-creator
Section: admin
Priority: optional
Maintainer: Arjen Balfoort <arjenbalfoort@solydxk.com>
Build-Depends: debhelper-compat (= 12)
  , dh-python
  , python3-all
  , intltool
  , itstool
  , po4a
  , transifex-client
  , translate-toolkit
Standards-Version: 4.5.0
Vcs-Git: https://gitlab.com/abalfoort/usb-creator.git
X-Python3-Version: >= 3.6

Package: usb-creator
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
  , python3-gi
  , python3-fuzzywuzzy
  , gir1.2-gtk-3.0
  , grub-efi-amd64-bin
  , grub-pc-bin
  , grub2-common
  , udisks2
  , gir1.2-udisks-2.0
  , psmisc
  , p7zip-full
Conflicts: solydxk-usb-creator (<< 0.3.5~)
Replaces: solydxk-usb-creator (<< 0.3.5~)
Description: Multiboot USB Creator
 Create a bootable USB with multiple ISO images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use bash and not the default sh
SHELL := /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

.PHONY: update

source := $(shell dpkg-parsechangelog -S Source)
pyfiles := $(shell find ./usb-creator -name '*.py' -print 2>/dev/null)
#bashfiles := $(shell find ./scripts -type f -print 2>/dev/null>/dev/null)
desktopfls := $(shell find ./data -name '*.desktop' -print 2>/dev/null)
policyfiles := $(shell find ./data -name "*.policy" -print 2>/dev/null)


# Create mo from the po files
# https://www.gnu.org/software/make/manual/make.html#Pattern-Rules
%.mo : %.po
	mkdir -p ./po/mo/$(basename $(notdir $<))/LC_MESSAGES/
	msgfmt $< -o ./po/mo/$(basename $(notdir $<))/LC_MESSAGES/$(source).mo

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_clean:
	# Save new version in version.py
	sed -i "s/^\(__version__\s*=\s*\).*\$$/\1'$(shell dpkg-parsechangelog -S Version)'/" version.py
	# Cleanup first
	rm -rf ./po/mo ./po/pot
	mkdir ./po/mo ./po/pot
	# Clean HTML
	po4a --rm-translations po4a.cfg

override_dh_auto_install: update $(patsubst %.po,%.mo,$(wildcard ./po/*.po))
	dh_auto_install

override_dh_builddeb:
	dh_builddeb
	# Cleanup build directory when done
	rm -rf ./debian/$(source)

update:
	# Make distro families list
	./get-distro-families.sh

	# Get translations from Transifex
	tx pull -a

	# Scan for .py files
	@ xgettext \
		--keyword=_ \
		--language=Python \
		--output=./po/$(source).pot \
		--package-name=$(source) \
		--package-version='' \
		--from-code=UTF-8 \
		$(pyfiles) && echo "Python files scanned for translations"
	
	# Get strings from package launcher (bash script)
	#@ xgettext \
	#	--join-existing \
	#	--keyword=eval_gettext  \
	#	--language=Shell \
	#	--output=./po/$(source).pot \
	#	--package-name=$(source) \
	#	--package-version='' \
	#	--from-code=UTF-8 \
	#	$(bashfiles) && echo "Shell launcher scanned for translations"

	# Get strings from the desktop file
	@ for LAUNCHER in $(desktopfls); do \
		sed -r \
			-e '/^(Name|Comment|GenericName|Keywords)\[/d' \
			-e 's/^(Name=|Comment=|GenericName=|Keywords=)/_\1/' \
			$$LAUNCHER > $$LAUNCHER.in ; \
		intltool-extract --type=gettext/ini $$LAUNCHER.in ; \
		xgettext \
			--join-existing \
			--keyword=N_:1 \
			--output ./po/$(source).pot \
			$$LAUNCHER.in.h ; \
	done && echo "Desktop files scanned for translations"

	# Create pot files from html files
	@ html2po -i ./po/en -o ./po/pot -P --duplicates=merge && echo "HTML pot files created"

	# Get strings from policy files
	@ for POLICY in $(policyfiles); do \
		itstool \
		--out ./po/pot/"$${POLICY##*/}".pot \
		--its=./po/polkit/polkit.its \
		$$POLICY; \
	done && echo "Policy files scanned for translations"

	# Remove headers in generated pot files before merging
	@ for POTFILE in $(shell echo ./po/pot/*.pot); do \
		sed -i '1,/^$$/d' $$POTFILE; \
	done
	@ msgcat --use-first ./po/pot/*.pot >> ./po/$(source).pot && echo "Temporary pot files merged with existing pot file"

	# Fix charset
	@ find ./po -type f -name "*.po*" -exec sed -i 's/charset=CHARSET/charset=UTF-8/' {} \;

	# Merge new strings with translations
	@ for POFILE in $(shell echo ./po/*.po); do \
		msgmerge --quiet --backup=none --update $$POFILE ./po/$(source).pot ; \
	done && echo "Po files updated"

	# Apply desktop file modifications
	@ for LAUNCHER in $(desktopfls); do \
		intltool-merge --quiet --desktop-style ./po $$LAUNCHER.in $$LAUNCHER ; \
		rm $$LAUNCHER.in.h $$LAUNCHER.in ; \
	done && echo "Desktop files updated with new translations"

	# Translate HTML files
	@ po4a po4a.cfg

	# Do not ship incomplete html translations
	@ NRNEEDED=$(shell ls ./po/en | wc -l); \
	for D in $(shell echo ./po/translated/*); do \
		if [ $$NRNEEDED -gt `ls $${D} | wc -l` ]; then \
			rm -rvf "$${D}"; \
		fi; \
	done && echo "HTML files scanned for translations"
	
	# Push pot file to Transifex
	tx push -s
